.\"	$OpenBSD: ste.4,v 1.25 2013/06/02 20:28:26 tedu Exp $
.\"
.\" Copyright (c) 1997, 1998, 1999
.\"	Bill Paul <wpaul@ctr.columbia.edu>. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Bill Paul.
.\" 4. Neither the name of the author nor the names of any co-contributors
.\"    may be used to endorse or promote products derived from this software
.\"   without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY Bill Paul AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL Bill Paul OR THE VOICES IN HIS HEAD
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
.\" THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/ste.4,v 1.3 1999/11/15 23:14:27 phantom Exp $
.\"
.Dd $Mdocdate: June 2 2013 $
.Dt STE 4
.Os
.Sh NAME
.Nm ste
.Nd Sundance Technologies ST201 10/100 Ethernet device
.Sh SYNOPSIS
.Cd "ste* at pci?"
.Sh DESCRIPTION
The
.Nm
driver provides support for PCI Ethernet adapters and embedded
controllers based on the Sundance Technologies ST201 PCI Fast
Ethernet controller chip.
This includes:
.Pp
.Bl -bullet -offset indent -compact
.It
D-Link DFE-550TX
.It
D-Link DFE-580TX
.It
Encore ENL832-TX-ICNT 10/100 M PCI
.El
.Pp
The Sundance ST201 uses bus master DMA and is designed to be a
3Com EtherLink XL work-alike.
It uses the same DMA descriptor structure and is very similar in operation,
however its register layout is different.
The ST201 has a 64-bit multicast hash filter and a single perfect filter
entry for the station address.
It supports both 10 and 100Mbps speeds in either full or half duplex
using an MII transceiver.
.Pp
The
.Nm
driver supports the following media types:
.Bl -tag -width full-duplex
.It autoselect
Enable autoselection of the media type and options.
The user can manually override
the autoselected mode by adding media options to the
.Xr hostname.if 5
file.
.It 10baseT
Set 10Mbps operation.
The
.Ar mediaopt
option can also be used to select either
.Ar full-duplex
or
.Ar half-duplex
modes.
.It 100baseTX
Set 100Mbps (Fast Ethernet) operation.
The
.Ar mediaopt
option can also be used to select either
.Ar full-duplex
or
.Ar half-duplex
modes.
.El
.Pp
The
.Nm
driver supports the following media options:
.Bl -tag -width full-duplex
.It full-duplex
Force full duplex operation.
.It half-duplex
Force half duplex operation.
.El
.Pp
For more information on configuring this device, see
.Xr ifconfig 8 .
.Sh DIAGNOSTICS
.Bl -diag
.It "ste0: couldn't map ports/memory"
A fatal initialization error has occurred.
.It "ste0: couldn't map interrupt"
A fatal initialization error has occurred.
.It "ste0: watchdog timeout"
The device has stopped responding to the network, or there is a problem with
the network connection (cable).
.It "ste0: no memory for rx list"
The driver failed to allocate an mbuf for the receiver ring.
.It "ste0: no memory for tx list"
The driver failed to allocate an mbuf for the transmitter ring when
allocating a pad buffer or collapsing an mbuf chain into a cluster.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr netintro 4 ,
.Xr pci 4 ,
.Xr hostname.if 5 ,
.Xr ifconfig 8
.Rs
.%T Sundance ST201 data sheet
.%U http://www.sundanceti.com
.Re
.Sh HISTORY
The
.Nm
device driver first appeared in
.Fx 3.0 .
.Ox
support was added in
.Ox 2.7 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Bill Paul Aq wpaul@ee.columbia.edu
and ported to
.Ox
by
.An Aaron Campbell Aq aaron@openbsd.org .
